using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.UI;

public class WorldVisualizor : MonoBehaviour
{
   [SerializeField] public TextMeshProUGUI states;

   void LateUpdate()
   {
      Dictionary<string, int> worldStates = AI_World.Instance.GetWorld().GetStates();
      states.text = "";
      foreach (KeyValuePair<string, int> pair in worldStates)
      {
         states.text += pair.Key + ", " + pair.Value + "\n";
      }
   }
}
